%define upstream_name Validate
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.8.5
Release:     	%mkrel 6
Summary:    	Validation class
License: 	New BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Validate-%{version}.tgz
URL: 		http://pear.php.net/package/Validate
BuildRequires:	php-pear >= 1.4.7
BuildArch: noarch

%description
Package to validate various datas. It includes :
    - numbers (min/max, decimal or not)
    - email (syntax, domain check, rfc822)
    - string (predifined type alpha upper and/or lowercase, numeric,...)
    - date (min, max, rfc822 compliant)
    - uri (RFC2396)
    - possibility valid multiple data with a single method call
(::multiple)

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Validate.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Validate.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Validate
fi

%files
%doc docs/Validate/*
%{peardir}/*
%{xmldir}/Validate.xml


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.8.5-6.mga6
+ Revision: 935103
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.5-5.mga5
+ Revision: 741017
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.5-4.mga5
+ Revision: 687501
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.5-3.mga4
+ Revision: 517327
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.5-2.mga3
+ Revision: 377386
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 13 2012 spuhler <spuhler> 0.8.5-1.mga2
+ Revision: 195531
- upgrade to 0.8.5
  pearized spec

* Fri Jan 21 2011 spuhler <spuhler> 0.8.4-1.mga1
+ Revision: 28044
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Validate


* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.4-1mdv2011.0
+ Revision: 587646
- update to new version 0.8.4

* Thu Sep 09 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.3-1mdv2011.0
+ Revision: 576926
- update to new version 0.8.3

* Sun Nov 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-3mdv2010.1
+ Revision: 466332
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.8.2-2mdv2010.0
+ Revision: 426673
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 368257
- Update php pear Validate to 0.8.2 version

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-2mdv2009.1
+ Revision: 321933
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-1mdv2009.0
+ Revision: 272600
- 0.8.1

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.7.0-3mdv2009.0
+ Revision: 224888
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-2mdv2008.1
+ Revision: 178552
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-1mdv2008.0
+ Revision: 15548
- 0.7.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdv2007.0
+ Revision: 81248
- Import php-pear-Validate

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdk
- 0.6.3

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-1mdk
- 0.6.2
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-1mdk
- initial Mandriva package (PLD import)

